%define up_name	ocamlrpm
%define name	ocaml-rpm
%define version	1.2
%define release	%mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	OCaml bindings to librpm
Source: 	http://www.pps.jussieu.fr/~boender/files/%{up_name}-%{version}.tar.bz2
URL:		http://www.pps.jussieu.fr/~boender
License:	GPL
Group:		Development/Other
BuildRequires:	ocaml
BuildRequires:	rpm-devel
BuildRequires:	findlib
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
OCaml bindings to librpm.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	rpm-devel
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{up_name}-%{version}

%build
make CPPFLAGS="-I%{_includedir}/rpm -I%{_libdir}/ocaml/" CFLAGS="-fPIC" all all.opt

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}/stublibs
ocamlfind \
    install -destdir %{buildroot}/%{ocaml_sitelib} \
    rpm META ocamlrpm.cmi ocamlrpm.mli ocamlrpm.cma \
    ocamlrpm.cmxa ocamlrpm.a libocamlrpm.a dllocamlrpm.so

%clean
rm -rf %{buildroot}

%files
%doc COPYING
%defattr(-,root,root)
%dir %{ocaml_sitelib}/rpm
%{ocaml_sitelib}/rpm/*.cmi
%{ocaml_sitelib}/stublibs/*

%files devel
%defattr(-,root,root)
%{ocaml_sitelib}/rpm/*
%exclude %{ocaml_sitelib}/rpm/*.cmi


%changelog
* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-6mdv2008.0
+ Revision: 78262
- move stub libs in non-devel package

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-5mdv2008.0
+ Revision: 77679
- drop macro definition, now in rpm-mandriva-setup
  ship .cmi file in non-devel subpackage

* Sun Jun 10 2007 Olivier Thauvin <nanardon@mandriva.org> 1.2-4mdv2008.0
+ Revision: 37852
- rebuild for rpm


* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-3mdv2007.0
+ Revision: 121132
- rename to ocaml-rpm

* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-2mdv2007.1
+ Revision: 121044
- fix dependencies, and use standard ocaml macro

* Mon Jan 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdv2007.1
+ Revision: 115079
- use -fPIC CFLAG
- fix build on x86_64
- yet another attempt to fix chicken-and-egg issue with macro and build dependencies
- drop non-functional workaround
- try to workaround mdvsys parsing problem

